Page MenuHomePhabricator

Disable autopatrol subtype in Special:Log
Closed, ResolvedPublic

Description

Is this task related to the fact that no autopatrol actions are shown on ptwiki anymore? This list is empty (and takes forever to load):
https://pt.wikipedia.org/wiki/Special:Log/patrol?subtype=autopatrol

This needs to be disabled.

Details

Related Gerrit Patches:

Event Timeline

Ladsgroup triaged this task as High priority.May 8 2018, 9:04 PM
Ladsgroup created this task.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMay 8 2018, 9:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 431990 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@master] Remove 'autopatrol' from $wgActionFilteredLogs

https://gerrit.wikimedia.org/r/431990

This needs to be backported into MW 1.31 after being merged, as the removal of autopatrol log entries happened before the branch point (assuming autopatrol entries are cleared during the update?)

Nirmos added a subscriber: Nirmos.May 9 2018, 7:40 AM
Quiddity added a subscriber: Quiddity.

Was already announced via parent task.

Change 431990 merged by jenkins-bot:
[mediawiki/core@master] Remove 'patrol' from $wgActionFilteredLogs

https://gerrit.wikimedia.org/r/431990

https://pt.wikipedia.org/wiki/Special:Log/patrol?subtype=autopatrol still seems to take forever to load. Should this be different now?

https://pt.wikipedia.org/wiki/Special:Log/patrol?subtype=autopatrol still seems to take forever to load. Should this be different now?

It has not hit production yet. Should I backport it?

Nah not necessary.

Lydia_Pintscher closed this task as Resolved.May 23 2018, 9:51 AM
Vvjjkkii renamed this task from Disable autopatrol subtype in Special:Log to icdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Ladsgroup as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from icdaaaaaaa to Disable autopatrol subtype in Special:Log.Jul 2 2018, 1:51 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Ladsgroup.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.